## org.gnu.glib
Class Enum

    java.lang.Object
      org.gnu.glib.Enum

Direct Known Subclasses:
  Alignment, AnchorType, ArrowType, AttrType, AxisUse, ButtonBoxStyle, ButtonsType, ByteOrder, CapStyle, CellRendererMode, Colorspace, CornerType, CoverageLevel, CrossingMode, CursorType, CurveType, DeleteType, DialogFlags, Direction, DirectionType, DragProtocol, EllipsizeMode, EventType, ExpanderStyle, ExtensionMode, FileChooserAction, FileChooserError, Fill, FillRule, Function, GCValuesMask, Gravity, IconSize, ImageType, ImageType, InputMode, InputSource, InterpType, JoinStyle, Justification, Layer, LineStyle, MenuDirectionType, MenuFactoryType, MessageType, MetricType, MovementStep, NotifyType, Orientation, OverlapType, PackType, PathPriorityType, PathType, PixbufAlphaMode, PixbufError, PixbufRotation, PolicyType, PositionType, ProgressBarOrientation, ProgressBarStyle, PropertyState, PropMode, RcTokenType, RelationType, ReliefStyle, ResizeMode, ResponseType, RgbDither, Role, ScrollDirection, ScrollType, SelectionMode, SettingAction, ShadowType, SideType, SizeGroupMode, SortType, SpawnError, SpinButtonUpdatePolicy, SpinType, StateType, StateType, Status, Stretch, Style, SubmenuDirection, SubmenuPlacement, SubwindowMode, TabAlign, TextDirection, TextSearchFlags, TextWindowType, ToolBarChildType, ToolBarSpaceStyle, ToolBarStyle, TreeViewColumnSizing, TreeViewDropPosition, UIManagerItemType, Underline, UpdateType, Variant, Visibility, VisibilityState, VisualType, Weight, WidgetHelpType, WindowClass, WindowEdge, WindowPosition, WindowType, WindowType, WindowTypeHint, WrapMode, WrapMode

public class Enum
extends java.lang.Object

Base class for all classes resulting from a `define-enum` in a `.defs` file.

Field Summary
`protected int` `value_` holder for the raw enumeration value

Constructor Summary
`protected` `Enum()` This class is only instantiable via subclasses.

Method Summary
`boolean` `equals(java.lang.Object other)` Compare this to another object.
`int` `getValue()` Get the raw value of the object.
`int` `hashCode()` Get the hash code for this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value_

    protected int value_

  holder for the raw enumeration value

Constructor Detail

### Enum

    protected Enum()

  This class is only instantiable via subclasses.

Method Detail

### getValue

    public final int getValue()

  Get the raw value of the object.

  Returns:
    the raw value.

### hashCode

    public final int hashCode()

  Get the hash code for this instance. It is the same as its value.

  Returns:
    the hash code

### equals

    public final boolean equals(java.lang.Object other)

  Compare this to another object. The comparison is only `true` when the other object is also a `Enum` and when the values match.

  Parameters:
    `other` - the object to compare to
  Returns:
    the result of comparison